/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rk.mapper;

import org.springblade.modules.rk.entity.RkEntity;
import org.springblade.modules.rk.vo.*;
import org.springblade.modules.rk.excel.RkExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 房屋人口 Mapper 接口
 *
 * @author BladeX
 * @since 2023-08-05
 */
public interface RkMapper extends BaseMapper<RkEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	List<RkVO> selectRkPage(IPage page, @Param("params") Map<String, Object> params);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RkExcel> exportRk(@Param("ew") Wrapper<RkEntity> queryWrapper);

	List<XqVO> getXqList(IPage<XqVO> page, @Param("params") Map<String, Object> params);

	List<LdVO> getLdList(@Param("params") Map<String, Object> params);

	List<DyVO> getDyList(@Param("params") Map<String, Object> params);

	List<FjVO> getFjList(@Param("params") Map<String, Object> params);

	List<DyWebVO> getDyWebList(@Param("params") Map<String, Object> params);

	List<LcWebVO> getLcList(@Param("params") Map<String, Object> params);

	List<FjVO> getFjWebList(@Param("params") Map<String, Object> params);

	List<LbVOS> selectXq(Long value);

	List<LbVOSS> selectLd(String label);

	List<LbVOS> selectxqmj(String deptId);
}
